> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-6-1/connectors/enterprise-connectors/kafka/kafkaendpoint.md).

# Kafka Endpoint Properties

## `topic` (string, required)

Any valid topic name addressing a single data-point

Example: `"topic_name"`

## `acks` (number, enum)

Control the number of required acknowledgements. -1 = all insync replicas must acknowledge (default); 0 = no acknowledgments; 1 = only waits for the leader to acknowledge

This element must be one of the following enum values:

* `-1`
* `0`
* `1`

Default: `-1`

## `timeout` (number)

The time to await a response from the broker in milliseconds

Default: `30000`

## `compression` (string, enum)

The compression codec used to compress the messages

This element must be one of the following enum values:

* `None`
* `GZIP`

Default: `"None"`

## `fromBeginning` (boolean)

Only for subscribe: Where to let the consumer start consuming messages. If true, start from the beginning of the topic. If false, start at the end.

Default: `false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/2-6-1/connectors/enterprise-connectors/kafka/kafkaendpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
